package com.qs.mp.admin.service;

import com.qs.mp.admin.domain.PrizeRecovery;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.user.domain.param.UserPrizeRecoveryCreateParam;

/**
 * <p>
 * 奖品回收表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-05-23
 */
public interface IPrizeRecoveryService extends IService<PrizeRecovery> {

    /**
     * 回收奖品
     * @param userId
     * @param userPrizeRecoveryCreateParam
     */
    void convert(Long userId, UserPrizeRecoveryCreateParam userPrizeRecoveryCreateParam);


}
